# Uses of Class
serp.bytecode.LineNumber

Packages that use LineNumber
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of LineNumber in serp.bytecode

Methods in serp.bytecode that return LineNumber
Modifier and Type
Method
Description
`LineNumber`
LineNumberTable.`addLineNumber()`
Add a new line number to this table.
`LineNumber`
LineNumberTable.`addLineNumber(int startPc, int line)`
Add a new line number to this table.
`LineNumber`
LineNumberTable.`addLineNumber(Instruction start, int line)`
Add a new line number to this table.
`LineNumber`
LineNumberTable.`addLineNumber(LineNumber ln)`
Import a line number from another method.
`LineNumber`
Instruction.`getLineNumber()`
Return the line number of this instruction, or null if none.
`LineNumber`
LineNumberTable.`getLineNumber(int pc)`
Return the line number for the given program counter, or null if none.
`LineNumber`
LineNumberTable.`getLineNumber(Instruction ins)`
Return the line number for the given instruction, or null if none.
`LineNumber[]`
LineNumberTable.`getLineNumbers()`
Return the line numbers held in this table.
Methods in serp.bytecode with parameters of type LineNumber
Modifier and Type
Method
Description
`LineNumber`
LineNumberTable.`addLineNumber(LineNumber ln)`
Import a line number from another method.
`boolean`
LineNumberTable.`removeLineNumber(LineNumber ln)`
Remove the given line.
`void`
LineNumberTable.`setLineNumbers(LineNumber[] lines)`
Set the line numbers for the table.

## Uses of LineNumber in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type LineNumber
Modifier and Type
Method
Description
`void`
BCVisitor.`enterLineNumber(LineNumber obj)`
`void`
PrettyPrintVisitor.`enterLineNumber(LineNumber obj)`
`void`
BCVisitor.`exitLineNumber(LineNumber obj)`
`void`
PrettyPrintVisitor.`exitLineNumber(LineNumber obj)`